get
https://partner.gupshup.io/partner/bizgate/app//template-analytics/templates//insights
Returns deeper insights for a single template — funnel breakdown, engagement rates, and audience signals — for the requested filters.
Request parameters
Path parameters
| Key | Description | Values | Data Type | Required/Optional |
|---|---|---|---|---|
| appId | Identifier of the WhatsApp app the call acts on. | 6f414190-d45c-4671-bca1-fb6c3018cb13 | String | Required |
| templateId | Identifier of the message template. | tpl-1002 | String | Required |
Sample cURL — Get template insights.
curl --request GET \
--url 'https://partner.gupshup.io/partner/bizgate/app/6f414190-d45c-4671-bca1-fb6c3018cb13/template-analytics/templates/tpl-1002/insights' \
--header 'Authorization: Bearer <UT>' \
--header 'Accept: application/json'Sample success response (200)
{
"status": "success",
"data": {
"template_insights": [
{
"date_start": "2024-11-15",
"date_stop": "2025-02-12",
"marketing_messages_sent": "60",
"marketing_messages_delivered": "60",
"marketing_messages_delivery_rate": "100",
"marketing_messages_read": "22",
"marketing_messages_read_rate": "36.666667",
"marketing_messages_link_btn_click": "1",
"marketing_messages_link_btn_click_rate": "1.666667",
"marketing_messages_spend": "9.18",
"marketing_messages_cost_per_delivered": "0.153",
"marketing_messages_cost_per_link_btn_click": "9.18"
}
]
}
}Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…